Loading...
Searching...
No Matches
UriMemoryManagerStruct Struct Reference

`#include <UriBase.h>`

## Data Fields

UriFuncMalloc | malloc
UriFuncCalloc | calloc
UriFuncRealloc | realloc
UriFuncReallocarray | reallocarray
UriFuncFree | free
void * | userData

## Detailed Description

Class-like interface of custom memory managers

See also
  uriCompleteMemoryManager
  uriEmulateCalloc
  uriEmulateReallocarray
  uriTestMemoryManager

Since
  0.9.0

## Field Documentation

## calloc

UriFuncCalloc calloc

Pointer to custom calloc(3); to emulate using malloc and memset see uriEmulateCalloc

## free

UriFuncFree free

Pointer to custom free(3)

## malloc

UriFuncMalloc malloc

Pointer to custom malloc(3)

## realloc

UriFuncRealloc realloc

Pointer to custom realloc(3)

## reallocarray

UriFuncReallocarray reallocarray

Pointer to custom reallocarray(3); to emulate using realloc see uriEmulateReallocarray

## userData

void* userData

Pointer to data that the other function members need access to

The documentation for this struct was generated from the following file:

- UriBase.h